This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 317551 - kernel upgrade to 2.6.22.7-57.fc6 breaks Synaptic Touchpad support
kernel upgrade to 2.6.22.7-57.fc6 breaks Synaptic Touchpad support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-10-03 18:30 EDT by D. Hugh Redelmeier
Modified: 2008-02-07 23:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2007-10-03 18:30:20 EDT
Description of problem:
After upgrading the kernel (from 2.6.20-1.2962.fc6) X can no longer see the
touchpad.  If I reboot into 2.6.20-1.2962.fc6 or 2.6.20-1.3002.fc6xen, all is well.

Version-Release number of selected component (if applicable):
2.6.22.7-57.fc6

How reproducible:
every time

Steps to Reproduce:
1.  Boot with 2.6.22.7-57.fc6
  
Actual results:
No difference in dmesg but /var/log/Xorg.0.log shows some difference.  Here is
the diff output:

    @@ -769,8 +769,8 @@
     (**) Option "CustomKeycodes" "off"
     (**) Keyboard0: CustomKeycodes disabled
     (II) Synaptics touchpad driver version 0.14.4 (1404)
    -(--) Synaptics auto-dev sets device to /dev/input/event2
    -(**) Option "Device" "/dev/input/event2"
    +Synaptics no synaptics event device found (checked 16 nodes)
    +(**) Option "Device" "/dev/input/mice"
     (**) Option "LeftEdge" "120"
     (**) Option "RightEdge" "830"
     (**) Option "TopEdge" "120"
    @@ -780,9 +780,11 @@
     (**) Option "MaxTapMove" "110"
     (**) Option "VertScrollDelta" "20"
     (**) Option "HorizScrollDelta" "20"
    -(--) Synaptics touchpad found
    -(**) Option "CorePointer"
    -(**) Synaptics: Core Pointer
    +Query no Synaptics: 6003C8
    +(EE) Synaptics no synaptics touchpad detected and no repeater device
    +(EE) Synaptics Unable to query/initialize Synaptics hardware.
    +(EE) PreInit failed for input device "Synaptics"
    +(II) UnloadModule: "synaptics"
     (**) Option "Protocol" "IMPS/2"
     (**) Mouse0: Device: "/dev/input/mice"
     (**) Mouse0: Protocol: "IMPS/2"

The computer is an HP Pavilion zv5000z (about 3 years old).
Comment 1 Jon Stanley 2008-01-07 20:50:47 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:28:57 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.